import { MantineNumberSize } from "@solariusnl/mingyue-core";
export interface PrismStylesParams {
    colorScheme: "light" | "dark";
    native: boolean;
    maxLineSize: number;
    radius: MantineNumberSize;
}
declare const _default: (params: PrismStylesParams, options?: import("@solariusnl/mingyue-core").UseStylesOptions<"code" | "line" | "scrollArea" | "root" | "copy" | "lineNumber" | "lineContent">) => {
    classes: Record<"code" | "line" | "scrollArea" | "root" | "copy" | "lineNumber" | "lineContent", string>;
    cx: (...args: any) => string;
    theme: import("@solariusnl/mingyue-core").MantineTheme;
};
export default _default;
//# sourceMappingURL=Prism.styles.d.ts.map