import { Tabs } from "@solariusnl/mingyue-core";
import { ForwardRefWithStaticComponents } from "@solariusnl/mingyue-utils";
import { PrismProps } from "./Prism/Prism";
import { PrismPanel, PrismTabs } from "./PrismTabs/PrismTabs";
export type { PrismProps, PrismStylesNames } from "./Prism/Prism";
export type { PrismStylesParams } from "./Prism/Prism.styles";
declare type PrismComponent = ForwardRefWithStaticComponents<PrismProps, {
    Tabs: typeof PrismTabs;
    TabsList: typeof Tabs.List;
    Tab: typeof Tabs.Tab;
    Panel: typeof PrismPanel;
}>;
declare const PrismExport: PrismComponent;
export { PrismExport as Prism };
//# sourceMappingURL=index.d.ts.map